Package org.apache.storm.perf.utils

## Class BasicMetricsCollector

- java.lang.Object
- - org.apache.storm.perf.utils.BasicMetricsCollector

- All Implemented Interfaces:
    `AutoCloseable`

      public class BasicMetricsCollector
      extends Object
      implements AutoCloseable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BasicMetricsCollector.MetricsCollectorConfig` |
    `static class` | `BasicMetricsCollector.MetricsItem` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `EXECUTORS` |
    `static String` | `SPOUT_ACKED` |
    `static String` | `SPOUT_AVG_COMPLETE_LATENCY` |
    `static String` | `SPOUT_AVG_LATENCY_FORMAT` |
    `static String` | `SPOUT_EXECUTORS` |
    `static String` | `SPOUT_MAX_COMPLETE_LATENCY` |
    `static String` | `SPOUT_MAX_LATENCY_FORMAT` |
    `static String` | `SPOUT_THROUGHPUT` |
    `static String` | `SPOUT_TRANSFERRED` |
    `static String` | `TASKS` |
    `static String` | `TIME` |
    `static String` | `TIME_FORMAT` |
    `static String` | `TOTAL_SLOTS` |
    `static String` | `TRANSFERRED` |
    `static String` | `USED_SLOTS` |
    `static String` | `WORKERS` |
    `static String` | `XSFER_RATE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicMetricsCollector​(String topoName, Map<String,​Object> topoConfig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `collect​(Nimbus.Iface client)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIME

          public static final String TIME

      See Also:
        Constant Field Values

    - #### TIME_FORMAT

          public static final String TIME_FORMAT

      See Also:
        Constant Field Values

    - #### TOTAL_SLOTS

          public static final String TOTAL_SLOTS

      See Also:
        Constant Field Values

    - #### USED_SLOTS

          public static final String USED_SLOTS

      See Also:
        Constant Field Values

    - #### WORKERS

          public static final String WORKERS

      See Also:
        Constant Field Values

    - #### TASKS

          public static final String TASKS

      See Also:
        Constant Field Values

    - #### EXECUTORS

          public static final String EXECUTORS

      See Also:
        Constant Field Values

    - #### TRANSFERRED

          public static final String TRANSFERRED

      See Also:
        Constant Field Values

    - #### XSFER_RATE

          public static final String XSFER_RATE

      See Also:
        Constant Field Values

    - #### SPOUT_EXECUTORS

          public static final String SPOUT_EXECUTORS

      See Also:
        Constant Field Values

    - #### SPOUT_TRANSFERRED

          public static final String SPOUT_TRANSFERRED

      See Also:
        Constant Field Values

    - #### SPOUT_ACKED

          public static final String SPOUT_ACKED

      See Also:
        Constant Field Values

    - #### SPOUT_THROUGHPUT

          public static final String SPOUT_THROUGHPUT

      See Also:
        Constant Field Values

    - #### SPOUT_AVG_COMPLETE_LATENCY

          public static final String SPOUT_AVG_COMPLETE_LATENCY

      See Also:
        Constant Field Values

    - #### SPOUT_AVG_LATENCY_FORMAT

          public static final String SPOUT_AVG_LATENCY_FORMAT

      See Also:
        Constant Field Values

    - #### SPOUT_MAX_COMPLETE_LATENCY

          public static final String SPOUT_MAX_COMPLETE_LATENCY

      See Also:
        Constant Field Values

    - #### SPOUT_MAX_LATENCY_FORMAT

          public static final String SPOUT_MAX_LATENCY_FORMAT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BasicMetricsCollector

          public BasicMetricsCollector​(String topoName,
                                       Map<String,​Object> topoConfig)

  - ### Method Detail

    - #### collect

          public void collect​(Nimbus.Iface client)

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`